
Redmine - Defect #2131

Delimiter of numbers incorrect in german language

2008-11-04 14:43 - Carl Gneisenau

Status: Closed Start date: 2008-11-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

If you have setup up redmine with "german" as default language, the number will the delimited by a dot. But the correct delimiter is a

comma.

So this is leading to not capable of being totaled in excel, when the data will be exported as cvs.

History

#1 - 2008-11-06 19:23 - Karl Heinz Marbaise

Hi Carl,

can you give a little more details where you created a CSV and what kind of report you requested.

I have done that for the issues where time tracking record are associated with numbers like 1.5 hours etc.

After the CSV export i get exactly what expected (1,5) which can used perfectly with Excel.

Kind regards

Karl Heinz Marbaise

#2 - 2009-05-08 16:04 - Joerg Jans

Hi there,

I have the same problem. Is there a known solution?

My user account is set to "German". When I generate a report "Spent time" for a given project all time values are shown with "." as decimal delimiter.

After the export to a file the same delimiter are used there.

Regards,

Jörg

#3 - 2009-09-20 16:14 - Jean-Philippe Lang

- Category set to Translations

- Status changed from New to Closed

- Resolution set to Fixed

The CSV decimal separator in config/locales/de.yml is set to ','.
